Search Results for

Show / Hide Table of Contents

# Enum ProgressBarStyle

Specifies the style that a ProgressBar uses to indicate the progress of an operation.

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public enum ProgressBarStyle

### Fields

Name | Description
--- | ---
Blocks | Indicates progress by increasing the number of segmented blocks in a ProgressBar.
Continuous | Indicates progress by increasing the size of a smooth, continuous bar in a ProgressBar.
MarqueeBlocks | Indicates progress by continuously scrolling a block across a ProgressBar in a marquee fashion.
MarqueeContinuous | Indicates progress by continuously scrolling a block across a ProgressBar in a marquee fashion.